Index: main/bridging.c
===================================================================
--- main/bridging.c	(revision 343853)
+++ main/bridging.c	(working copy)
@@ -791,7 +791,7 @@
 /*! \brief Internal function that unsuspends a channel from a bridge */
 static void bridge_channel_unsuspend(struct ast_bridge *bridge, struct ast_bridge_channel *bridge_channel)
 {
-	bridge_channel->suspended =0;
+	bridge_channel->suspended = 0;
 
 	bridge_array_add(bridge, bridge_channel->chan);
 
@@ -799,6 +799,7 @@
 		bridge->technology->unsuspend(bridge, bridge_channel);
 	}
 
+	ast_cond_signal(&bridge_channel->cond);
 	return;
 }
 
